https://api.knoxapi.com- GET/
v1/ radar/ early_fraud_warnings - POST/
v1/ radar/ payment_evaluations - POST/
v1/ radar/ value_list_items - GET/
v1/ radar/ value_list_items - POST/
v1/ radar/ value_lists - GET/
v1/ radar/ value_lists - GET/
v1/ radar/ early_fraud_warnings/ {early_fraud_warning} - GET/
v1/ radar/ value_list_items/ {item} - DELETE/
v1/ radar/ value_list_items/ {item} - POST/
v1/ radar/ value_lists/ {value_list} - GET/
v1/ radar/ value_lists/ {value_list} - DELETE/
v1/ radar/ value_lists/ {value_list}
List all early fraud warnings
GET/v1/radar/early_fraud_warnings
Returns a list of early fraud warnings.
Query parameters
chargestringOnly return early fraud warnings for the charge specified by this charge ID.
createdobject | integerOnly return early fraud warnings that were created during the given date interval.
Show 4 child parameters
gtintegergteintegerltintegerlteinteger
ending_beforestringA cursor for use in pagination.
ending_beforeis an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting withobj_bar, your subsequent call can includeending_before=obj_barin order to fetch the previous page of the list.expandarray of stringsSpecifies which fields in the response should be expanded.
limitintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
payment_intentstringOnly return early fraud warnings for charges that were created by the PaymentIntent specified by this PaymentIntent ID.
starting_afterstringA cursor for use in pagination.
starting_afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending withobj_foo, your subsequent call can includestarting_after=obj_fooin order to fetch the next page of the list.
Returns
A list of radar.early_fraud_warning objects.
curl -G https://api.knoxapi.com/v1/radar/early_fraud_warnings \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
--data-urlencode limit=3const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/radar/early_fraud_warnings', {
limit: 3,
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/radar/early_fraud_warnings", limit=3)require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/radar/early_fraud_warnings', {
limit: 3,
}){
"object": "list",
"url": "/v1/radar/early_fraud_warnings",
"has_more": false,
"data": [
{
"actionable": true,
"charge": "ch_1234",
"created": 1234567890,
"fraud_type": "misc",
"id": "issfr_1Pgc79B7WZ01zgkWxwDzEIPX",
"livemode": false,
"object": "radar.early_fraud_warning"
}
]
}Create a Payment Evaluation
POST/v1/radar/payment_evaluations
Request a Radar API fraud risk score from Stripe for a payment before sending it for external processor authorization.
Body parameters
customer_detailsobjectRequiredDetails about the customer associated with the payment evaluation.
Show 5 child parameters
customerstringcustomer_accountstringemailstringnamestringphonestring
payment_detailsobjectRequiredDetails about the payment.
Show 7 child parameters
amountintegerRequiredcurrencystringRequiredpayment_method_detailsobjectRequiredShow 2 child parameters
payment_methodstringRequiredbilling_detailsobjectChild parameters are listed in the OpenAPI document.
descriptionstringmoney_movement_detailsobjectShow 2 child parameters
money_movement_typestringRequiredPossible valuescard
cardobjectChild parameters are listed in the OpenAPI document.
shipping_detailsobjectShow 3 child parameters
addressobjectChild parameters are listed in the OpenAPI document.
namestringphonestring
statement_descriptorstring
client_device_metadata_detailsobjectDetails about the Client Device Metadata to associate with the payment evaluation.
Show 1 child parameter
radar_sessionstringRequired
expandarray of stringsSpecifies which fields in the response should be expanded.
metadataobjectSet of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.
Returns
The radar.payment_evaluation object.
curl https://api.knoxapi.com/v1/radar/payment_evaluations \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d customer_details= \
-d "payment_details[amount]=1000" \
-d "payment_details[currency]=usd" \
-d "payment_details[payment_method_details][payment_method]=pm_1Pgc75B7WZ01zgkWlHVgdEGJ"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/radar/payment_evaluations', {
customer_details: {},
payment_details: {
amount: 1000,
currency: 'usd',
payment_method_details: {
payment_method: 'pm_1Pgc75B7WZ01zgkWlHVgdEGJ',
},
},
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/radar/payment_evaluations", customer_details={}, payment_details={
"amount": 1000,
"currency": "usd",
"payment_method_details": {
"payment_method": "pm_1Pgc75B7WZ01zgkWlHVgdEGJ",
},
})require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/radar/payment_evaluations', {
customer_details: {},
payment_details: {
amount: 1000,
currency: 'usd',
payment_method_details: {
payment_method: 'pm_1Pgc75B7WZ01zgkWlHVgdEGJ',
},
},
}){
"created_at": 1369680106,
"events": [],
"id": "obj_123",
"livemode": true,
"metadata": null,
"object": "radar.payment_evaluation",
"recommended_action": "block",
"signals": {
"fraudulent_payment": {
"evaluated_at": 403283463,
"risk_level": "normal",
"score": 109264530
}
}
}Create a value list item
POST/v1/radar/value_list_items
Creates a new ValueListItem object, which is added to the specified parent value list.
Body parameters
valuestringRequiredThe value of the item (whose type must match the type of the parent value list).
value_liststringRequiredThe identifier of the value list which the created item will be added to.
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The radar.value_list_item object.
curl https://api.knoxapi.com/v1/radar/value_list_items \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d value=1.2.3.4 \
-d value_list=rsl_1Pgc6xB7WZ01zgkWGZtYN8iPconst Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/radar/value_list_items', {
value: '1.2.3.4',
value_list: 'rsl_1Pgc6xB7WZ01zgkWGZtYN8iP',
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/radar/value_list_items", value="1.2.3.4", value_list="rsl_1Pgc6xB7WZ01zgkWGZtYN8iP")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/radar/value_list_items', {
value: '1.2.3.4',
value_list: 'rsl_1Pgc6xB7WZ01zgkWGZtYN8iP',
}){
"created": 1234567890,
"created_by": "[email protected]",
"id": "rsli_1Pgc6xB7WZ01zgkWS2KbiAtC",
"livemode": false,
"object": "radar.value_list_item",
"value": "1.2.3.4",
"value_list": "rsl_1Pgc6xB7WZ01zgkWGZtYN8iP"
}List all value list items
GET/v1/radar/value_list_items
Returns a list of ValueListItem objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.
Query parameters
value_liststringRequiredIdentifier for the parent value list this item belongs to.
createdobject | integerOnly return items that were created during the given date interval.
Show 4 child parameters
gtintegergteintegerltintegerlteinteger
ending_beforestringA cursor for use in pagination.
ending_beforeis an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting withobj_bar, your subsequent call can includeending_before=obj_barin order to fetch the previous page of the list.expandarray of stringsSpecifies which fields in the response should be expanded.
limitintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_afterstringA cursor for use in pagination.
starting_afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending withobj_foo, your subsequent call can includestarting_after=obj_fooin order to fetch the next page of the list.valuestringReturn items belonging to the parent list whose value matches the specified value (using an "is like" match).
Returns
A list of radar.value_list_item objects.
curl -G https://api.knoxapi.com/v1/radar/value_list_items \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
--data-urlencode value_list=rsl_1Pgc6xB7WZ01zgkWGZtYN8iPconst Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/radar/value_list_items', {
value_list: 'rsl_1Pgc6xB7WZ01zgkWGZtYN8iP',
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/radar/value_list_items", value_list="rsl_1Pgc6xB7WZ01zgkWGZtYN8iP")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/radar/value_list_items', {
value_list: 'rsl_1Pgc6xB7WZ01zgkWGZtYN8iP',
}){
"object": "list",
"url": "/v1/radar/value_list_items",
"has_more": false,
"data": [
{
"created": 1234567890,
"created_by": "[email protected]",
"id": "rsli_1Pgc6xB7WZ01zgkWS2KbiAtC",
"livemode": false,
"object": "radar.value_list_item",
"value": "1.2.3.4",
"value_list": "rsl_1Pgc6xB7WZ01zgkWGZtYN8iP"
}
]
}Create a value list
POST/v1/radar/value_lists
Creates a new ValueList object, which can then be referenced in rules.
Body parameters
aliasstringRequiredThe name of the value list for use in rules.
namestringRequiredThe human-readable name of the value list.
expandarray of stringsSpecifies which fields in the response should be expanded.
item_typestringType of the items in the value list. One of
card_fingerprint,card_bin,crypto_fingerprint,email,ip_address,country,string,case_sensitive_string,customer_id,account,sepa_debit_fingerprint, orus_bank_account_fingerprint. Usestringif the item type is unknown or mixed.Possible valuesaccountcard_bincard_fingerprintcase_sensitive_stringcountrycrypto_fingerprintcustomer_idemailip_addresssepa_debit_fingerprintstringus_bank_account_fingerprint
metadataobjectSet of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.
Returns
The radar.value_list object.
curl https://api.knoxapi.com/v1/radar/value_lists \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d alias=custom_ip_blocklist \
-d "name=Custom IP Blocklist"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/radar/value_lists', {
alias: 'custom_ip_blocklist',
name: 'Custom IP Blocklist',
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/radar/value_lists", alias="custom_ip_blocklist", name="Custom IP Blocklist")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/radar/value_lists', {
alias: 'custom_ip_blocklist',
name: 'Custom IP Blocklist',
}){
"alias": "custom_ip_blocklist",
"created": 1234567890,
"created_by": "[email protected]",
"id": "rsl_1Pgc6xB7WZ01zgkWMAqpozsZ",
"item_type": "ip_address",
"list_items": {
"data": [],
"has_more": false,
"object": "list",
"url": "/v1/radar/value_list_items?value_list=rsl_1Pgc6xB7WZ01zgkWMAqpozsZ"
},
"livemode": false,
"metadata": {},
"name": "Custom IP Blocklist",
"object": "radar.value_list"
}List all value lists
GET/v1/radar/value_lists
Returns a list of ValueList objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.
Query parameters
aliasstringThe alias used to reference the value list when writing rules.
containsstringA value contained within a value list - returns all value lists containing this value.
createdobject | integerOnly return value lists that were created during the given date interval.
Show 4 child parameters
gtintegergteintegerltintegerlteinteger
ending_beforestringA cursor for use in pagination.
ending_beforeis an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting withobj_bar, your subsequent call can includeending_before=obj_barin order to fetch the previous page of the list.expandarray of stringsSpecifies which fields in the response should be expanded.
limitintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_afterstringA cursor for use in pagination.
starting_afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending withobj_foo, your subsequent call can includestarting_after=obj_fooin order to fetch the next page of the list.
Returns
A list of radar.value_list objects.
curl -G https://api.knoxapi.com/v1/radar/value_lists \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
--data-urlencode limit=3const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/radar/value_lists', {
limit: 3,
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/radar/value_lists", limit=3)require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/radar/value_lists', {
limit: 3,
}){
"object": "list",
"url": "/v1/radar/value_lists",
"has_more": false,
"data": [
{
"alias": "custom_ip_blocklist",
"created": 1234567890,
"created_by": "[email protected]",
"id": "rsl_1Pgc6xB7WZ01zgkWMAqpozsZ",
"item_type": "ip_address",
"list_items": {
"data": [],
"has_more": false,
"object": "list",
"url": "/v1/radar/value_list_items?value_list=rsl_1Pgc6xB7WZ01zgkWMAqpozsZ"
},
"livemode": false,
"metadata": {},
"name": "Custom IP Blocklist",
"object": "radar.value_list"
}
]
}Retrieve an early fraud warning
GET/v1/radar/early_fraud_warnings/{early_fraud_warning}
Retrieves the details of an early fraud warning that has previously been created. Please refer to the early fraud warning object reference for more details.
Path parameters
early_fraud_warningstringRequired
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The radar.early_fraud_warning object.
curl https://api.knoxapi.com/v1/radar/early_fraud_warnings/issfr_1Pgc79B7WZ01zgkWxwDzEIPX \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/radar/early_fraud_warnings/issfr_1Pgc79B7WZ01zgkWxwDzEIPX');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/radar/early_fraud_warnings/issfr_1Pgc79B7WZ01zgkWxwDzEIPX")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/radar/early_fraud_warnings/issfr_1Pgc79B7WZ01zgkWxwDzEIPX'){
"actionable": true,
"charge": "ch_1234",
"created": 1234567890,
"fraud_type": "misc",
"id": "issfr_1Pgc79B7WZ01zgkWxwDzEIPX",
"livemode": false,
"object": "radar.early_fraud_warning"
}Retrieve a value list item
GET/v1/radar/value_list_items/{item}
Retrieves a ValueListItem object.
Path parameters
itemstringRequired
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The radar.value_list_item object.
curl https://api.knoxapi.com/v1/radar/value_list_items/li_1Pgc73B7WZ01zgkWx8kcmZPK \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/radar/value_list_items/li_1Pgc73B7WZ01zgkWx8kcmZPK');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/radar/value_list_items/li_1Pgc73B7WZ01zgkWx8kcmZPK")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/radar/value_list_items/li_1Pgc73B7WZ01zgkWx8kcmZPK'){
"created": 1234567890,
"created_by": "[email protected]",
"id": "rsli_1Pgc6xB7WZ01zgkWS2KbiAtC",
"livemode": false,
"object": "radar.value_list_item",
"value": "1.2.3.4",
"value_list": "rsl_1Pgc6xB7WZ01zgkWGZtYN8iP"
}Delete a value list item
DELETE/v1/radar/value_list_items/{item}
Deletes a ValueListItem object, removing it from its parent value list.
Path parameters
itemstringRequired
Returns
The deleted_radar.value_list_item object.
curl -X DELETE https://api.knoxapi.com/v1/radar/value_list_items/li_1Pgc73B7WZ01zgkWx8kcmZPK \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('DELETE', '/v1/radar/value_list_items/li_1Pgc73B7WZ01zgkWx8kcmZPK');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("delete", "/v1/radar/value_list_items/li_1Pgc73B7WZ01zgkWx8kcmZPK")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:delete, '/v1/radar/value_list_items/li_1Pgc73B7WZ01zgkWx8kcmZPK'){
"deleted": true,
"id": "rsli_1Pgc6xB7WZ01zgkWS2KbiAtC",
"object": "radar.value_list_item"
}Update a value list
POST/v1/radar/value_lists/{value_list}
Updates a ValueList object by setting the values of the parameters passed. Any parameters not provided will be left unchanged. Note that item_type is immutable.
Path parameters
value_liststringRequired
Body parameters
aliasstringThe name of the value list for use in rules.
expandarray of stringsSpecifies which fields in the response should be expanded.
metadataobjectSet of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.namestringThe human-readable name of the value list.
Returns
The radar.value_list object.
curl https://api.knoxapi.com/v1/radar/value_lists/rsl_1Pgc6xB7WZ01zgkWMAqpozsZ \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d "metadata[order_id]=6735"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/radar/value_lists/rsl_1Pgc6xB7WZ01zgkWMAqpozsZ', {
metadata: {
order_id: '6735',
},
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/radar/value_lists/rsl_1Pgc6xB7WZ01zgkWMAqpozsZ", metadata={
"order_id": "6735",
})require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/radar/value_lists/rsl_1Pgc6xB7WZ01zgkWMAqpozsZ', {
metadata: {
order_id: '6735',
},
}){
"alias": "custom_ip_blocklist",
"created": 1234567890,
"created_by": "[email protected]",
"id": "rsl_1Pgc6xB7WZ01zgkWMAqpozsZ",
"item_type": "ip_address",
"list_items": {
"data": [],
"has_more": false,
"object": "list",
"url": "/v1/radar/value_list_items?value_list=rsl_1Pgc6xB7WZ01zgkWMAqpozsZ"
},
"livemode": false,
"metadata": {},
"name": "Custom IP Blocklist",
"object": "radar.value_list"
}Retrieve a value list
GET/v1/radar/value_lists/{value_list}
Retrieves a ValueList object.
Path parameters
value_liststringRequired
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The radar.value_list object.
curl https://api.knoxapi.com/v1/radar/value_lists/rsl_1Pgc6xB7WZ01zgkWMAqpozsZ \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/radar/value_lists/rsl_1Pgc6xB7WZ01zgkWMAqpozsZ');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/radar/value_lists/rsl_1Pgc6xB7WZ01zgkWMAqpozsZ")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/radar/value_lists/rsl_1Pgc6xB7WZ01zgkWMAqpozsZ'){
"alias": "custom_ip_blocklist",
"created": 1234567890,
"created_by": "[email protected]",
"id": "rsl_1Pgc6xB7WZ01zgkWMAqpozsZ",
"item_type": "ip_address",
"list_items": {
"data": [],
"has_more": false,
"object": "list",
"url": "/v1/radar/value_list_items?value_list=rsl_1Pgc6xB7WZ01zgkWMAqpozsZ"
},
"livemode": false,
"metadata": {},
"name": "Custom IP Blocklist",
"object": "radar.value_list"
}Delete a value list
DELETE/v1/radar/value_lists/{value_list}
Deletes a ValueList object, also deleting any items contained within the value list. To be deleted, a value list must not be referenced in any rules.
Path parameters
value_liststringRequired
Returns
The deleted_radar.value_list object.
curl -X DELETE https://api.knoxapi.com/v1/radar/value_lists/rsl_1Pgc6xB7WZ01zgkWMAqpozsZ \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('DELETE', '/v1/radar/value_lists/rsl_1Pgc6xB7WZ01zgkWMAqpozsZ');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("delete", "/v1/radar/value_lists/rsl_1Pgc6xB7WZ01zgkWMAqpozsZ")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:delete, '/v1/radar/value_lists/rsl_1Pgc6xB7WZ01zgkWMAqpozsZ'){
"deleted": true,
"id": "rsl_1Pgc6xB7WZ01zgkWMAqpozsZ",
"object": "radar.value_list"
}Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.